Recoveries
Cancel recovery
POST
Requires scope recoveries:create.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
token?stringThe cancellationToken returned once in the POST /v1/recoveries response — not the recoveryToken that started the recovery, and not a recovery-contact verifyToken.
Length
1 <= lengthpasskey?A passkey that currently owns the Safe.
Response Body
200application/json
Recovery cancellation accepted (status CANCELLING)
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/recoveries/{id}/cancel' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "CANCELLING", "signatureRequests": [ { "chain": "base", "userOpHash": "0xabc123" } ], "onChainRevocationRequired": true, "liveOnChainChains": [ "string" ], "revocationSignedBy": "wallet_passkey", "revocationSubmittedChains": [ "string" ] }, "status": 200, "success": true}